"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withDecimalPoints = exports.withIntegerPoints = exports.withNoPoints = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _index = _interopRequireDefault(require("./index"));

var props = {
  name: 'fakeName',
  onAnswerPointsChange: Function.prototype
};
var _default = {
  title: 'AnswerPoints'
};
exports.default = _default;

var withNoPoints = function withNoPoints() {
  return _react.default.createElement(_index.default, Object.assign({}, props, {
    answerPoints: 0
  }));
};

exports.withNoPoints = withNoPoints;

var withIntegerPoints = function withIntegerPoints() {
  return _react.default.createElement(_index.default, Object.assign({}, props, {
    answerPoints: 12
  }));
};

exports.withIntegerPoints = withIntegerPoints;

var withDecimalPoints = function withDecimalPoints() {
  return _react.default.createElement(_index.default, Object.assign({}, props, {
    answerPoints: 3.5
  }));
};

exports.withDecimalPoints = withDecimalPoints;