"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _uiThemeable = require("@instructure/ui-themeable");

var _uiTestable = _interopRequireDefault(require("@instructure/ui-testable"));

var _QuestionSettingsPanel = _interopRequireDefault(require("../QuestionSettingsPanel"));

var _theme = _interopRequireDefault(require("./theme"));

var _dec, _dec2, _class, _class2, _temp;

var styles = {
  componentId: 'cPRRt',
  template: function template(theme) {
    return "\n\n.cPRRt_dBmg{padding:".concat(theme.panelPadding || 'inherit', "}");
  },
  'panelPadding': 'cPRRt_dBmg'
};
var QuestionSettingsContainer = (_dec = (0, _uiTestable.default)(), _dec2 = (0, _uiThemeable.themeable)(_theme.default, styles), _dec(_class = _dec2(_class = (_temp = _class2 =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(QuestionSettingsContainer, _Component);

  function QuestionSettingsContainer() {
    (0, _classCallCheck2.default)(this, QuestionSettingsContainer);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(QuestionSettingsContainer).apply(this, arguments));
  }

  (0, _createClass2.default)(QuestionSettingsContainer, [{
    key: "renderOption",
    value: function renderOption(_ref) {
      var key = _ref.key,
          title = _ref.title,
          component = _ref.component,
          defaultExpanded = _ref.defaultExpanded;
      return _react.default.createElement(_QuestionSettingsPanel.default, {
        key: key,
        label: title,
        defaultExpanded: defaultExpanded
      }, component);
    }
  }, {
    key: "render",
    value: function render() {
      var options = (0, _toConsumableArray2.default)(this.props.additionalOptions.map(this.renderOption)).filter(Boolean);

      if (options.length || this.props.children) {
        return _react.default.createElement("div", {
          className: styles.panelPadding
        }, this.props.children, options);
      }

      return null;
    }
  }]);
  QuestionSettingsContainer.displayName = "QuestionSettingsContainer";
  return QuestionSettingsContainer;
}(_react.Component), _class2.propTypes = {
  children: _propTypes.default.node,
  additionalOptions: _propTypes.default.arrayOf(_propTypes.default.shape({
    key: _propTypes.default.string.isRequired,
    title: _propTypes.default.string.isRequired,
    component: _propTypes.default.node.isRequired,
    defaultExpanded: _propTypes.default.bool
  }))
}, _class2.defaultProps = {
  children: null,
  additionalOptions: [] //TODO: Kill this logic, specify panels as children where needed, then maybe replace this component with a View?

}, _temp)) || _class) || _class);
exports.default = QuestionSettingsContainer;