"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _uiLayout = require("@instructure/ui-layout");

var _uiToggleDetails = require("@instructure/ui-toggle-details");

var QuestionSettingsPanel =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(QuestionSettingsPanel, _Component);

  function QuestionSettingsPanel() {
    (0, _classCallCheck2.default)(this, QuestionSettingsPanel);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(QuestionSettingsPanel).apply(this, arguments));
  }

  (0, _createClass2.default)(QuestionSettingsPanel, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          children = _this$props.children,
          defaultExpanded = _this$props.defaultExpanded,
          label = _this$props.label;
      return _react.default.createElement(_uiLayout.View, {
        as: "div",
        margin: "0 0 small 0"
      }, _react.default.createElement(_uiToggleDetails.ToggleDetails, {
        variant: "filled",
        summary: label,
        defaultExpanded: defaultExpanded
      }, _react.default.createElement(_uiLayout.View, {
        as: "div",
        margin: "small 0 0 0"
      }, children)));
    }
  }]);
  QuestionSettingsPanel.displayName = "QuestionSettingsPanel";
  return QuestionSettingsPanel;
}(_react.Component);

exports.default = QuestionSettingsPanel;
QuestionSettingsPanel.propTypes = {
  children: _propTypes.default.node,
  defaultExpanded: _propTypes.default.bool,
  label: _propTypes.default.string.isRequired
};
QuestionSettingsPanel.defaultProps = {
  children: null,
  defaultExpanded: false
};