"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _get = _interopRequireDefault(require("lodash/get"));

var _default = {
  propValues: {
    interactionData: [{
      rce: false,
      spellCheck: true,
      wordCount: false,
      wordLimitEnabled: true,
      wordLimitMin: 5,
      wordLimitMax: 10,
      notes: 'Blah blah'
    }, {
      rce: true,
      spellCheck: false,
      wordCount: true,
      wordLimitEnabled: false
    }],
    scoredData: [{
      gradeStatus: 'waiting',
      value: 'The rain in spain stays mainly on the plain'
    }, {
      gradeStatus: 'graded'
    }, {
      gradeStatus: 'correct',
      value: '<b>What?</b>'
    }, {
      gradeStatus: 'incorrect',
      value: 'This has more than ten words because that will make it have an error'
    }, {
      gradeStatus: 'graded',
      value: 'This is correct and graded.'
    }, {
      value: 'The quick brown fox jumped over the lazy dog'
    }, {
      value: ''
    }, {
      value: null
    }, {}],
    scoringData: [{}, {
      value: 'This is some grading feedback'
    }],
    itemResultsModifications: [{}, {
      scoredData: {
        gradeStatus: 'correct'
      }
    }]
  },
  getComponentProps: function getComponentProps(props) {
    var regraded = (0, _get.default)(props, 'itemResultsModifications.scoredData.gradeStatus') === 'correct';
    return {
      itemId: 'fakeItemId',
      itemBody: "Essay Take (status ".concat(props.scoredData.gradeStatus, " / regraded? ").concat(regraded, ")"),
      openImportModal: Function.prototype,
      renderImportModal: Function.prototype
    };
  }
};
exports.default = _default;