"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var propValues = {
  additionalOptions: [[], [{
    key: 'optionx',
    title: 'Additional option',
    component: 'Additional option content',
    defaultExpanded: false
  }]],
  restrictCount: [true, false],
  restrictTypes: [true, false],
  errors: [null, {
    itemBody: ['Error message item body'],
    properties: {
      allowedTypes: ['Allowed file types error message']
    },
    interactionData: {
      filesCount: ['Files count error message']
    }
  }],
  overrideEditableForRegrading: [true, false]
};
var _default = {
  propValues: propValues,
  getComponentProps: function getComponentProps(props) {
    return {
      enableRichContentEditor: false,
      oneQuestionAtATime: false,
      itemBody: 'File Upload Edit',
      interactionData: {
        restrictCount: props.restrictCount,
        filesCount: props.restrictCount ? '1' : '10'
      },
      properties: {
        restrictTypes: props.restrictTypes,
        allowedTypes: props.restrictTypes ? 'pdf, docx' : ''
      },
      changeItemState: Function.prototype,
      openImportModal: Function.prototype,
      renderImportModal: Function.prototype,
      scoredData: {},
      errorsAreShowing: !!props.errors,
      getErrors: function getErrors() {
        return [];
      }
    };
  }
};
exports.default = _default;