"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      typography = _ref.typography,
      borders = _ref.borders,
      colors = _ref.colors;
  return {
    polygonButtonFontSize: typography.fontSizeLarge,
    polygonButtonPadding: spacing.xxSmall,
    mainContainerMargin: spacing.xSmall,
    mainContainerBorderWidth: borders.widthSmall,
    mainContainerBorderColor: colors.tiara,
    mainContainerHeaderBorderWidth: borders.widthSmall,
    mainContainerHeaderBorderColor: colors.tiara,
    mainContainerHeaderPadding: spacing.xSmall,
    mainContainerTypePadding: spacing.xSmall,
    mainContainerTypeUnselectedColor: colors.white,
    mainContainerTypeSelectedColor: colors.shamrock,
    mainContainerTypeSelectedShadowColor: colors.tiara,
    popoverContentPadding: spacing.xSmall,
    mainContainerActionsMargin: spacing.xSmall,
    mainContainerActionsPadding: spacing.xSmall,
    mainContainerActionsBorderWidth: borders.widthSmall,
    mainContainerActionsBorderColor: colors.tiara,
    mainContainerContentWrapperBackgroundColor: colors.porcelain,
    mainContainerContentWrapperPadding: spacing.small,
    fileDropWrapperMargin: spacing.xSmall,
    fileDropContentPadding: spacing.medium,
    fileDropContentBackgroundColor: colors.porcelain,
    fileDropContentBorderWidth: borders.widthSmall,
    fileDropContentBorderColor: colors.tiara,
    fileDropContentIconFontSize: typography.fontSizeXXLarge,
    fileDropContentLabelPadding: spacing.xSmall,
    fileDropContentLabelBrowsePadding: spacing.xxSmall,
    fileDropContentLabelBrowseColor: colors.electric,
    fileDropContentLabelFontFamily: typography.fontFamily,
    modalContentTypesPadding: spacing.small,
    modalContentTypesBackgroundColor: colors.porcelain,
    modalContentImageBackgroundColor: colors.ash
  };
}