"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pickProps = exports.defaultProps = exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _pick = _interopRequireDefault(require("lodash/pick"));

var propTypes = {
  readOnly: _propTypes.default.bool,
  coordinates: _propTypes.default.array.isRequired,
  width: _propTypes.default.number,
  height: _propTypes.default.number,
  handleSetCoordinates: _propTypes.default.func
};
var _default = propTypes;
exports.default = _default;
var defaultProps = {
  readOnly: false
};
exports.defaultProps = defaultProps;

var pickProps = function pickProps(props) {
  return (0, _pick.default)(props, Object.keys(propTypes));
};

exports.pickProps = pickProps;