"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var generateAnswers = function generateAnswers(n) {
  var answers = [];

  for (var i = 0; i < n; i++) {
    answers.push({
      id: "answer-".concat(i),
      position: i + 1,
      itemBody: "<i>Answer ".concat(i, "</i>")
    });
  }

  return answers;
};

var _default = {
  propValues: {
    numAnswers: [0, 1, 4],
    hasUserResponse: [true, false],
    readOnly: [true, false]
  },
  getComponentProps: function getComponentProps(props) {
    var answers = generateAnswers(props.numAnswers);
    return {
      itemId: 'fakeItemId',
      itemBody: 'Who was in the first cabinet of the USA?',
      interactionData: {
        choices: answers
      },
      userResponse: {
        value: props.hasUserResponse && answers.length > 0 ? [answers[0].id] : []
      }
    };
  }
};
exports.default = _default;