"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      borders = _ref.borders,
      colors = _ref.colors;
  return {
    borderWidth: borders.widthMedium,
    borderColor: colors.porcelain,
    categoryDescriptionBackground: colors.porcelain,
    categoriesWrapperPadding: spacing.xSmall,
    categoriesContainerPadding: spacing.xSmall,
    categoryContainerWrapperPadding: spacing.xSmall,
    categoryDescriptionInputPadding: spacing.xSmall,
    categoryBodyAnswersPadding: spacing.xSmall,
    itemContainerPadding: spacing.xSmall,
    itemContainerBodyPadding: spacing.xxSmall
  };
}