"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _uiMenu = require("@instructure/ui-menu");

var _uiA11y = require("@instructure/ui-a11y");

var _uiElements = require("@instructure/ui-elements");

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

// Temporary file to prevent focus issues due to popovermenu
var Category =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(Category, _Component);

  function Category() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, Category);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(Category)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.state = {
      isFocused: false
    };

    _this.onToggle = function () {
      _this.setState({
        isFocused: !_this.state.isFocused
      });
    };

    return _this;
  }

  (0, _createClass2.default)(Category, [{
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate(nextProps, nextState) {
      return this.state.isFocused !== nextState.isFocused || this.props.userResponse.length !== nextProps.userResponse.length;
    } // ===========
    //   RENDER
    // ===========

  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          styles = _this$props.styles,
          itemBody = _this$props.itemBody,
          categoryTrigger = _this$props.categoryTrigger,
          categoryContent = _this$props.categoryContent;
      return _react.default.createElement("div", {
        className: styles.categoryContainer
      }, _react.default.createElement(_uiA11y.ScreenReaderContent, null, (0, _formatMessage.default)('Category')), _react.default.createElement(_uiElements.Text, {
        color: "primary"
      }, itemBody), _react.default.createElement(_uiMenu.Menu, {
        trigger: categoryTrigger,
        onToggle: this.onToggle
      }, categoryContent));
    }
  }]);
  Category.displayName = "Category";
  return Category;
}(_react.Component);

exports.default = Category;
Category.propTypes = {
  itemBody: _propTypes.default.string.isRequired,
  userResponse: _propTypes.default.array.isRequired,
  categoryTrigger: _propTypes.default.element.isRequired,
  categoryContent: _propTypes.default.array.isRequired,
  styles: _propTypes.default.shape({
    categoryContainer: _propTypes.default.string
  }).isRequired
};