"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSortedCategories = getSortedCategories;
exports.UNCATEGORIZED = void 0;
var UNCATEGORIZED = 'uncategorized';
exports.UNCATEGORIZED = UNCATEGORIZED;

function getSortedCategories(categories, categoryOrder) {
  // this check is for questions which were created before
  // categoryOrder was introduced
  if (!categoryOrder) {
    // NOTE: Object.values does not guarantee category order
    return Object.values(categories);
  }

  return categoryOrder.map(function (categoryId) {
    return categories[categoryId];
  });
}