"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _uiLayout = require("@instructure/ui-layout");

var _CalculatorOption = _interopRequireDefault(require("../CalculatorOption"));

var _OqaatAlert = _interopRequireDefault(require("../OqaatAlert"));

var CalculatorOptionWithOqaatAlert =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(CalculatorOptionWithOqaatAlert, _Component);

  function CalculatorOptionWithOqaatAlert() {
    (0, _classCallCheck2.default)(this, CalculatorOptionWithOqaatAlert);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(CalculatorOptionWithOqaatAlert).apply(this, arguments));
  }

  (0, _createClass2.default)(CalculatorOptionWithOqaatAlert, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          calculatorValue = _this$props.calculatorValue,
          disabled = _this$props.disabled,
          oqaatChecked = _this$props.oqaatChecked,
          onCalculatorTypeChange = _this$props.onCalculatorTypeChange,
          onOqaatChange = _this$props.onOqaatChange;
      return _react.default.createElement(_uiLayout.View, null, _react.default.createElement(_CalculatorOption.default, {
        disabled: disabled,
        onChange: onCalculatorTypeChange,
        value: calculatorValue
      }), calculatorValue !== 'none' && _react.default.createElement(_uiLayout.View, {
        as: "div",
        margin: "medium 0"
      }, _react.default.createElement(_OqaatAlert.default, {
        checked: oqaatChecked,
        onChange: onOqaatChange
      })));
    }
  }]);
  CalculatorOptionWithOqaatAlert.displayName = "CalculatorOptionWithOqaatAlert";
  return CalculatorOptionWithOqaatAlert;
}(_react.Component);

exports.default = CalculatorOptionWithOqaatAlert;
CalculatorOptionWithOqaatAlert.propTypes = {
  calculatorValue: _propTypes.default.oneOf(['none', 'basic', 'scientific']).isRequired,
  disabled: _propTypes.default.bool,
  oqaatChecked: _propTypes.default.bool.isRequired,
  onCalculatorTypeChange: _propTypes.default.func.isRequired,
  onOqaatChange: _propTypes.default.func.isRequired
};
CalculatorOptionWithOqaatAlert.defaultProps = {
  disabled: void 0
};