"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _uiThemeable = require("@instructure/ui-themeable");

var _instUIMessages = require("../../../../../util/instUIMessages");

var _theme = _interopRequireDefault(require("./theme"));

var _uiElements = require("@instructure/ui-elements");

var _dec, _class, _class2, _temp;

var styles = {
  componentId: 'evYLl',
  template: function template(theme) {
    return "\n\n.evYLl_fWyo{margin:".concat(theme.errorBorderMargin || 'inherit', ";padding:").concat(theme.errorBorderPadding || 'inherit', "}\n\n.evYLl_bqek{border:solid 1px ").concat(theme.errorBorderColor || 'inherit', ";border-radius:").concat(theme.errorBorderRadius || 'inherit', "}\n\n.evYLl_bLUe{align-items:flex-start;display:flex;flex-direction:column}\n\n.evYLl_ddvR{flex:1 1 auto}");
  },
  'errorsContainer': 'evYLl_fWyo',
  'errorsBorder': 'evYLl_bqek',
  'errorList': 'evYLl_bLUe',
  'error': 'evYLl_ddvR'
};
var Errors = (_dec = (0, _uiThemeable.themeable)(_theme.default, styles), _dec(_class = (_temp = _class2 =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(Errors, _Component);

  function Errors() {
    (0, _classCallCheck2.default)(this, Errors);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(Errors).apply(this, arguments));
  }

  (0, _createClass2.default)(Errors, [{
    key: "renderErrors",
    value: function renderErrors() {
      if (!this.hasErrors) {
        return null;
      }

      return _react.default.createElement("div", {
        className: styles.errorList
      }, (0, _instUIMessages.toErrors)(this.props.errorList).map(function (_ref) {
        var text = _ref.text;
        return _react.default.createElement("div", {
          className: styles.error,
          key: text
        }, _react.default.createElement(_uiElements.Text, {
          color: "error"
        }, text));
      }));
    }
  }, {
    key: "render",
    value: function render() {
      var _classNames;

      var _this$props = this.props,
          showBorder = _this$props.showBorder,
          errorsFirst = _this$props.errorsFirst;
      return _react.default.createElement("div", {
        className: (0, _classnames.default)((_classNames = {}, (0, _defineProperty2.default)(_classNames, styles.errorsContainer, this.hasErrors), (0, _defineProperty2.default)(_classNames, styles.errorsBorder, this.hasErrors && showBorder), _classNames))
      }, errorsFirst && this.renderErrors(), _react.default.createElement(_uiElements.Text, {
        color: "primary"
      }, this.props.children), !errorsFirst && this.renderErrors());
    }
  }, {
    key: "hasErrors",
    get: function get() {
      return this.props.errorList.length > 0;
    }
  }]);
  Errors.displayName = "Errors";
  return Errors;
}(_react.Component), _class2.propTypes = {
  children: _propTypes.default.node,
  errorList: _propTypes.default.array,
  showBorder: _propTypes.default.bool,
  errorsFirst: _propTypes.default.bool
}, _class2.defaultProps = {
  children: void 0,
  errorList: [],
  showBorder: true,
  errorsFirst: true
}, _temp)) || _class);
exports.default = Errors;