"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var _uiAlerts = require("@instructure/ui-alerts");

var _uiForms = require("@instructure/ui-forms");

var _uiLayout = require("@instructure/ui-layout");

var _uiTestable = _interopRequireDefault(require("@instructure/ui-testable"));

var _dec, _class, _class2, _temp;

var OqaatAlert = (_dec = (0, _uiTestable.default)(), _dec(_class = (_temp = _class2 =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(OqaatAlert, _Component);

  function OqaatAlert() {
    (0, _classCallCheck2.default)(this, OqaatAlert);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(OqaatAlert).apply(this, arguments));
  }

  (0, _createClass2.default)(OqaatAlert, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          checked = _this$props.checked,
          onChange = _this$props.onChange;
      return _react.default.createElement(_uiAlerts.Alert, {
        variant: "info"
      }, (0, _formatMessage.default)('It is highly recommended that you enable One Question at a Time mode in order to prevent ' + 'students from using the calculator on questions it was not intended for. Changes to this setting will take ' + 'effect immediately.'), _react.default.createElement(_uiLayout.View, {
        as: "div",
        margin: "small 0"
      }, _react.default.createElement(_uiForms.Checkbox, {
        variant: "toggle",
        size: "small",
        label: (0, _formatMessage.default)('Enable One Question at a Time'),
        checked: checked,
        onChange: onChange
      })));
    }
  }]);
  OqaatAlert.displayName = "OqaatAlert";
  return OqaatAlert;
}(_react.Component), _class2.propTypes = {
  checked: _propTypes.default.bool.isRequired,
  onChange: _propTypes.default.func.isRequired
}, _temp)) || _class);
exports.default = OqaatAlert;