"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _get = _interopRequireDefault(require("lodash/get"));

var _default = {
  propValues: {
    scoredData: [{}, {
      gradeStatus: 'waiting',
      value: [{
        id: 111,
        name: 'waiting-grade.png',
        url: 'https://www.canvaslms.com/img/logo/instructure.png',
        size: 49067
      }]
    }, {
      gradeStatus: 'graded',
      value: [{
        id: 111,
        name: 'graded.png',
        url: 'https://www.canvaslms.com/img/logo/instructure.png',
        size: 49067
      }]
    }, {
      gradeStatus: 'correct',
      value: [{
        id: 111,
        name: 'correct.png',
        url: 'https://www.canvaslms.com/img/logo/instructure.png',
        size: 49067
      }]
    }, {
      gradeStatus: 'incorrect',
      value: [{
        id: 111,
        name: 'incorrect.png',
        url: 'https://www.canvaslms.com/img/logo/instructure.png',
        size: 49067
      }]
    }, {
      gradeStatus: 'unknown',
      value: [{
        id: 111,
        name: 'unknown.png',
        url: 'https://www.canvaslms.com/img/logo/instructure.png',
        size: 49067
      }]
    }, {
      value: [{
        id: 111,
        name: 'undefined.png',
        url: 'https://www.canvaslms.com/img/logo/instructure.png',
        size: 49067
      }]
    }, {
      value: []
    }, {
      value: null
    }],
    itemResultsModifications: [{}, {
      scoredData: {
        gradeStatus: 'correct'
      }
    }]
  },
  getComponentProps: function getComponentProps(props) {
    var regraded = (0, _get.default)(props, 'itemResultsModifications.scoredData.gradeStatus') === 'correct';
    return {
      itemBody: "File Upload Take (regraded? ".concat(regraded, ")"),
      interactionData: {
        restrictCount: false,
        filesCount: 10
      }
    };
  }
};
exports.default = _default;