"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = isImage;

var _endsWith = _interopRequireDefault(require("lodash/fp/endsWith"));

var IMAGE_EXTENSIONS = ['.jpg', '.jpeg', '.png', '.gif', '.bmp'];

function isImage() {
  var url = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : '';
  return IMAGE_EXTENSIONS.some(function (i) {
    return (0, _endsWith.default)(i, url.toLowerCase());
  });
}