"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      typography = _ref.typography,
      borders = _ref.borders;
  return {
    editStemColor: colors.oxford,
    editStemFontFamily: typography.fontFamily,
    editStemFontSize: typography.fontSizeMedium,
    editStemFontWeight: typography.fontWeighNormal,
    editStemLineHeight: typography.lineHeightDouble,
    tableColor: colors.slate,
    highlightBorder: borders.widthSmall,
    highlightColor: colors.slate,
    highlightBorderRadius: borders.radiusMedium,
    highlightPadding: spacing.xxSmall,
    highlightMargin: spacing.xxxSmall,
    closeIconBackgroundColor: colors.white
  };
}