"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _uiThemeable = require("@instructure/ui-themeable");

var _uiForms = require("@instructure/ui-forms");

var _instUIMessages = require("../../../../../../util/instUIMessages");

var _theme = _interopRequireDefault(require("./theme"));

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var _dec, _class, _class2, _temp;

var styles = {
  componentId: 'bmbxT',
  template: function template(theme) {
    return "\n\n.bmbxT_dBbH{margin:".concat(theme.optionsInputMargin || 'inherit', " 0;width:100%}\n\n.bmbxT_dBbH>input{border-radius:").concat(theme.optionsInputBorderRadius || 'inherit', ";box-sizing:border-box;font-size:").concat(theme.optionsInputFontSize || 'inherit', ";font-weight:").concat(theme.optionsInputFontWeight || 'inherit', ";margin-top:").concat(theme.optionsInputConditionalMargin || 'inherit', ";padding:").concat(theme.optionsInputPadding || 'inherit', ";padding-right:0;width:100%}\n\n.bmbxT_dBbH:focus>input{background-color:").concat(theme.optionsInputBackgroundColor || 'inherit', ";color:").concat(theme.optionsInputFocusColor || 'inherit', "}");
  },
  'optionsInput': 'bmbxT_dBbH'
};
var RegexComponent = (_dec = (0, _uiThemeable.themeable)(_theme.default, styles), _dec(_class = (_temp = _class2 =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(RegexComponent, _Component);

  function RegexComponent() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, RegexComponent);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(RegexComponent)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _this.handleRegexChange = function (e) {
      var scoringData = {
        value: e.target.value,
        blankText: _this.props.scoringDataForBlank.blankText
      };

      _this.props.updateScoringDataForBlank({
        scoringData: scoringData
      });
    };

    return _this;
  }

  (0, _createClass2.default)(RegexComponent, [{
    key: "render",
    value: function render() {
      var scoringDataForBlank = this.props.scoringDataForBlank;
      return _react.default.createElement("div", {
        className: styles.optionsInput
      }, _react.default.createElement(_uiForms.TextInput, {
        type: "text",
        messages: (0, _instUIMessages.toErrors)(this.props.errors).concat(this.props.validationErrorsFromApi),
        defaultValue: scoringDataForBlank.value,
        label: (0, _formatMessage.default)('Regular Expression:'),
        placeholder: "Type a regular expression...",
        onChange: this.handleRegexChange
      }));
    }
  }]);
  RegexComponent.displayName = "RegexComponent";
  return RegexComponent;
}(_react.Component), _class2.propTypes = {
  errors: _propTypes.default.array,
  scoringDataForBlank: _propTypes.default.object,
  updateScoringDataForBlank: _propTypes.default.func,
  validationErrorsFromApi: _propTypes.default.arrayOf(_propTypes.default.shape({
    type: _propTypes.default.string,
    text: _propTypes.default.string
  }))
}, _class2.defaultProps = {
  errors: void 0,
  scoringDataForBlank: void 0,
  updateScoringDataForBlank: void 0,
  validationErrorsFromApi: []
}, _temp)) || _class);
exports.default = RegexComponent;