"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _uiElements = require("@instructure/ui-elements");

var _uiThemeable = require("@instructure/ui-themeable");

var _theme = _interopRequireDefault(require("./theme"));

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var _dec, _class;

var styles = {
  componentId: 'pTSoF',
  template: function template(theme) {
    return "\n\n.pTSoF_eyNQ{font-weight:".concat(theme.tipTitleFontWeight || 'inherit', "}\n\n.pTSoF_eyNQ:not(:first-child){padding-top:").concat(theme.tipTitlePadding || 'inherit', "}");
  },
  'tipTitle': 'pTSoF_eyNQ'
};
var TipInfo = (_dec = (0, _uiThemeable.themeable)(_theme.default, styles), _dec(_class =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(TipInfo, _Component);

  function TipInfo() {
    (0, _classCallCheck2.default)(this, TipInfo);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(TipInfo).apply(this, arguments));
  }

  (0, _createClass2.default)(TipInfo, [{
    key: "render",
    value: function render() {
      return _react.default.createElement("div", null, _react.default.createElement("div", {
        className: styles.tipTitle
      }, (0, _formatMessage.default)('Contains')), _react.default.createElement("div", null, (0, _formatMessage.default)('The word can exist anywhere in the response')), _react.default.createElement("div", {
        className: styles.tipTitle
      }, (0, _formatMessage.default)('Close Enough')), _formatMessage.default.rich('Uses <0>Levenshtein Distance</0> to determine if the response is close enough to the correct answer.', [function (_ref) {
        var children = _ref.children;
        return _react.default.createElement(_uiElements.Link, {
          key: "0",
          href: "https://en.wikipedia.org/wiki/Levenshtein_distance",
          target: "_blank",
          rel: "noopener noreferrer"
        }, children);
      }]), _react.default.createElement("div", {
        className: styles.tipTitle
      }, (0, _formatMessage.default)('Exact Match')), _react.default.createElement("div", null, (0, _formatMessage.default)('Case and spelling must match exactly')), _react.default.createElement("div", {
        className: styles.tipTitle
      }, (0, _formatMessage.default)('Specify Correct Answers')), _react.default.createElement("div", null, (0, _formatMessage.default)('You specify each acceptable response')), _react.default.createElement("div", {
        className: styles.tipTitle
      }, (0, _formatMessage.default)('Regular Expression Match')), _react.default.createElement("div", null, (0, _formatMessage.default)('Not for beginners. Be sure your pattern is valid for Ruby 2.5 or it may fail.')), _react.default.createElement("ul", null, _react.default.createElement("li", null, _formatMessage.default.rich('Use a validator such as <0>Rubular</0> to test your pattern.', [function (_ref2) {
        var children = _ref2.children;
        return _react.default.createElement(_uiElements.Link, {
          key: "1",
          href: "https://rubular.com/",
          target: "_blank",
          rel: "noopener noreferrer"
        }, children);
      }])), _react.default.createElement("li", null, _formatMessage.default.rich('Review Ruby’s <0>Regexp</0> documentation for more context.', [function (_ref3) {
        var children = _ref3.children;
        return _react.default.createElement(_uiElements.Link, {
          key: "2",
          href: "https://ruby-doc.org/core-2.5.0/Regexp.html",
          target: "_blank",
          rel: "noopener noreferrer"
        }, children);
      }]))));
    }
  }]);
  TipInfo.displayName = "TipInfo";
  return TipInfo;
}(_react.Component)) || _class);
exports.default = TipInfo;