"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      borders = _ref.borders,
      colors = _ref.colors,
      transitions = _ref.transitions;
  return {
    placeholderColor: colors.ash,
    placeholderPadding: spacing.xSmall,
    placeholderBorder: borders.widthSmall,
    placeholderBorderColor: colors.ash,
    placeholderBorderRadius: borders.radiusMedium,
    dragTargetBorderColor: colors.tiara,
    dragTargetBorderRadius: borders.radiusMedium,
    dragTargetMargin: spacing.xSmall,
    dragTargetPadding: spacing.xSmall,
    dragTargetBorderWidth: borders.widthMedium,
    focusBorderColor: colors.brand,
    focusBorderRadius: borders.radiusMedium,
    focusBorderWidth: borders.widthSmall,
    dragTargetTransition: "all ".concat(transitions.duration)
  };
}