"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _exampleImage = _interopRequireDefault(require("../exampleImage.png"));

var _default = {
  propValues: {
    scoringData: [{
      value: {
        type: 'square',
        coordinates: [{
          x: 0.3,
          y: 0.3
        }, {
          x: 0.7,
          y: 0.7
        }]
      }
    }, {
      value: {
        type: 'oval',
        coordinates: [{
          x: 0.3,
          y: 0.3
        }, {
          x: 0.7,
          y: 0.7
        }]
      }
    }, {
      value: {
        type: 'polygon',
        coordinates: [{
          x: 0.3,
          y: 0.3
        }, {
          x: 0.7,
          y: 0.2
        }, {
          x: 0.8,
          y: 0.4
        }, {
          x: 0.5,
          y: 0.5
        }, {
          x: 0.7,
          y: 0.7
        }, {
          x: 0.2,
          y: 0.6
        }, {
          x: 0.3,
          y: 0.3
        }]
      }
    }]
  },
  getComponentProps: function getComponentProps(props) {
    return {
      itemBody: "Hotspot Show (".concat(props.scoringData.value.type, ")"),
      interactionData: {
        imageUrl: _exampleImage.default
      }
    };
  }
};
exports.default = _default;