"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _default = {
  propValues: {
    options: [{
      quuid1Response: 'Planet',
      quuid1Value: 'Planet',
      quuid2Response: 'Moon',
      quuid2Value: 'Moon',
      quuid3Response: 'Galaxy',
      quuid3Value: 'Galaxy',
      quuid4Response: 'Galaxy',
      quuid4Value: 'Galaxy',
      test: 'All answers correct'
    }, {
      quuid1Response: 'Planet',
      quuid1Value: 'Moon',
      quuid2Response: 'Moon',
      quuid2Value: 'Galaxy',
      quuid3Response: 'Galaxy',
      quuid3Value: 'Planet',
      quuid4Response: 'Galaxy',
      quuid4Value: 'Planet',
      test: 'All answers incorrect'
    }, {
      quuid1Response: 'Planet',
      quuid1Value: 'Planet',
      quuid2Response: 'Moon',
      quuid2Value: 'Galaxy',
      quuid3Response: 'Galaxy',
      quuid3Value: 'Galaxy',
      quuid4Response: 'Galaxy',
      quuid4Value: 'Planet',
      test: '1st/3rd answers correct, 2nd/4th answers incorrect'
    }, {
      quuid1Response: 'Planet',
      quuid2Response: 'Moon',
      quuid3Response: 'Galaxy',
      quuid4Response: 'Galaxy',
      test: 'No correct answers known'
    }, {
      quuid1Response: null,
      quuid1Value: 'Planet',
      quuid2Response: null,
      quuid2Value: 'Galaxy',
      quuid3Response: null,
      quuid3Value: 'Galaxy',
      quuid4Response: null,
      quuid4Value: 'Planet',
      test: 'No response given'
    }, {
      quuid1Response: null,
      quuid2Response: null,
      quuid3Response: null,
      quuid4Response: null,
      test: 'No response given or correct answers known'
    }, {
      test: 'No responses known'
    }, {
      test: 'No scored data',
      scoredData: {
        value: null
      }
    }]
  },
  getComponentProps: function getComponentProps(props) {
    return {
      itemId: 'fakeItemId',
      itemBody: "Matching: Result (".concat(props.options.test, ")"),
      interactionData: {
        questions: [{
          id: 'quuid1',
          itemBody: 'Mars'
        }, {
          id: 'quuid2',
          itemBody: 'Phobos'
        }, {
          id: 'quuid3',
          itemBody: 'Andromeda'
        }, {
          id: 'quuid4',
          itemBody: 'Alpha Centauri'
        }],
        answers: ['Planet', 'Moon', 'Nebula', 'Star', 'Galaxy']
      },
      scoredData: props.options.scoredData || {
        value: [{
          id: 'quuid1',
          userResponded: props.options.quuid1Response,
          value: props.options.quuid1Value
        }, {
          id: 'quuid2',
          userResponded: props.options.quuid2Response,
          value: props.options.quuid2Value
        }, {
          id: 'quuid3',
          userResponded: props.options.quuid3Response,
          value: props.options.quuid3Value
        }, {
          id: 'quuid4',
          userResponded: props.options.quuid4Response,
          value: props.options.quuid4Value
        }]
      }
    };
  }
};
exports.default = _default;