"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _get2 = _interopRequireDefault(require("@babel/runtime/helpers/get"));

var _react = _interopRequireDefault(require("react"));

var _uiElements = require("@instructure/ui-elements");

var _InteractionType2 = _interopRequireDefault(require("../InteractionType"));

var _interaction_slugs = require("../../interaction_slugs");

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var interactionData = {
  trueChoice: (0, _formatMessage.default)('True'),
  falseChoice: (0, _formatMessage.default)('False')
};
var scoringData = {
  value: true
};

var TrueFalseInteractionType =
/*#__PURE__*/
function (_InteractionType) {
  (0, _inherits2.default)(TrueFalseInteractionType, _InteractionType);

  function TrueFalseInteractionType(obj) {
    var _this;

    (0, _classCallCheck2.default)(this, TrueFalseInteractionType);
    _this = (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(TrueFalseInteractionType).call(this));
    _this.slug = _interaction_slugs.TRUE_FALSE_SLUG;
    _this.translatedName = (0, _formatMessage.default)('True or False');

    _this.getDefaultScoringData = function () {
      return scoringData;
    };

    _this.getDefaultInteractionData = function () {
      return interactionData;
    };

    _this.getRenderedResponse = function (responseValue, interactionData) {
      return _react.default.createElement(_uiElements.Text, {
        color: "primary"
      }, responseValue ? interactionData.trueChoice : interactionData.falseChoice);
    };

    (0, _get2.default)((0, _getPrototypeOf2.default)(TrueFalseInteractionType.prototype), "initializeProps", (0, _assertThisInitialized2.default)(_this)).call((0, _assertThisInitialized2.default)(_this), obj);
    return _this;
  }

  return TrueFalseInteractionType;
}(_InteractionType2.default);

exports.default = TrueFalseInteractionType;
TrueFalseInteractionType.validations = {};