"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.numericMessage = numericMessage;
exports.presenceMessage = presenceMessage;
exports.noDuplicatesMessage = noDuplicatesMessage;

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

function numericMessage(type) {
  return (0, _formatMessage.default)('{type} must be a number', {
    type: type
  });
}

function presenceMessage(type) {
  return (0, _formatMessage.default)('{type} cannot be blank', {
    type: type
  });
}

function noDuplicatesMessage(type) {
  return (0, _formatMessage.default)('{type} cannot be duplicated', {
    type: type
  });
}